diff -uNr unrar/makefile.bcc unrar/makefile.bcc
--- unrar/makefile.bcc	1970-01-01 01:00:00.000000000 +0100
+++ unrar/makefile.bcc	2007-06-30 21:00:38.000000000 +0200
@@ -0,0 +1,501 @@
+.AUTODEPEND
+
+basepath    = $(BASEPATHCC)
+binpath     = $(basepath)\bin
+libpath     = $(basepath)\lib
+rarpath     = .
+incpath     = $(basepath)\include;$(rarpath)
+
+cc    = $(binpath)\bcc32
+link  = $(binpath)\ilink32
+
+objpath     = .
+guiopt      = -WC -H=$(objpath)\rar.csm
+
+!ifndef RARDLL
+!ifndef GUI
+guiopt=$(guiopt) -x-
+!endif
+!ifdef SFX_MODULE
+guiopt=$(guiopt) -x-
+!endif
+!endif
+
+!ifdef DEBUG
+optdeb=-Od -k -vi- -DDEBUG
+!else
+# -O is not safe to use with -pr and int64 return values, so let's turn it off
+optdeb=-O1 -O- -k-
+#optdeb=-Ob -Oe -Og -Oi -Ol -Om -Op -OS -Ov -Z -Oc
+!endif
+
+
+optunrar=-DUNRAR
+linkdest=unrar.exe
+
+!ifdef SFX_MODULE
+optunrar=-DUNRAR -DSFX_MODULE
+linkdest=sfx.exe
+!endif
+
+linkopt = -L$(libpath) -ap -c -v -s -V4.0 -Gn
+compopt = -P -c -I$(incpath) -R -v -vi -w-pch -w-par -K -f-\
+          -ff- -a4 -pr -RT- $(optdeb) $(guiopt) $(optunrar) -d -w-8072
+
+!ifdef RARDLL
+SILENT=true
+linkdest=unrar.dll
+linkopt=$(linkopt) -Tpd
+compopt=$(compopt) -DRARDLL
+!else
+linkopt=$(linkopt) -Tpe -B:0x400000 
+!endif
+
+!ifdef SILENT
+compopt=$(compopt) -DSILENT
+!endif
+
+
+rar: $(linkdest)
+
+Dep_SFX= \
+   $(objpath)\strlist.obj\
+   $(objpath)\strfn.obj\
+   $(objpath)\pathfn.obj\
+   $(objpath)\cmddata.obj\
+   $(objpath)\consio.obj\
+   $(objpath)\int64.obj\
+   $(objpath)\savepos.obj\
+   $(objpath)\file.obj\
+   $(objpath)\filefn.obj\
+   $(objpath)\filcreat.obj\
+   $(objpath)\sha1.obj\
+   $(objpath)\archive.obj\
+   $(objpath)\arcread.obj\
+   $(objpath)\unicode.obj\
+   $(objpath)\system.obj\
+   $(objpath)\isnt.obj\
+   $(objpath)\crc.obj\
+   $(objpath)\crypt.obj\
+   $(objpath)\rijndael.obj\
+   $(objpath)\rawread.obj\
+   $(objpath)\encname.obj\
+   $(objpath)\resource.obj\
+   $(objpath)\match.obj\
+   $(objpath)\find.obj\
+   $(objpath)\timefn.obj\
+   $(objpath)\getbits.obj\
+   $(objpath)\rarvm.obj\
+   $(objpath)\rdwrfn.obj\
+   $(objpath)\options.obj\
+   $(objpath)\ulinks.obj\
+   $(objpath)\errhnd.obj\
+   $(objpath)\volume.obj\
+   $(objpath)\rs.obj\
+   $(objpath)\recvol.obj\
+   $(objpath)\extinfo.obj\
+   $(objpath)\extract.obj\
+   $(objpath)\unpack.obj\
+   $(objpath)\rar.obj\
+   $(objpath)\global.obj
+
+Dep_Unrar = \
+   $(objpath)\filestr.obj\
+   $(objpath)\scantree.obj
+
+Dep_Dll = \
+   $(objpath)\dll.obj
+
+#Dep_SFXOnly = $(objpath)\rtl.obj
+
+!ifndef GUI
+!ifndef SILENT
+Dep_Console = \
+   $(objpath)\list.obj
+!endif
+!endif
+
+!ifdef SFX_MODULE
+Dep = $(Dep_SFX) $(Dep_SFXOnly)
+!else
+Dep = $(Dep_SFX) $(Dep_Unrar)
+!endif
+
+!ifndef GUI
+Dep = $(Dep) $(Dep_Console)
+!endif
+
+!ifdef RARDLL
+Dep = $(Dep) $(Dep_Dll)
+!endif
+
+!ifdef GUI
+$(linkdest) : $(Dep)
+  echo Done
+!else
+$(linkdest) : $(Dep)
+  $(link) @&&|
+ $(linkopt) +
+#!ifdef SFX_MODULE
+#$(objpath)\dummy.obj+
+#$(objpath)\ll.obj+
+#$(objpath)\rtl.obj+
+#!else
+!ifdef RARDLL
+$(libpath)\c0d32.obj+
+!else
+$(libpath)\c0x32.obj+
+!endif
+#!endif
+$(objpath)\strlist.obj+
+$(objpath)\strfn.obj+
+$(objpath)\pathfn.obj+
+$(objpath)\int64.obj+
+$(objpath)\savepos.obj+
+$(objpath)\global.obj+
+$(objpath)\file.obj+
+$(objpath)\filefn.obj+
+$(objpath)\filcreat.obj+
+$(objpath)\sha1.obj+
+$(objpath)\archive.obj+
+$(objpath)\arcread.obj+
+$(objpath)\unicode.obj+
+$(objpath)\system.obj+
+$(objpath)\isnt.obj+
+$(objpath)\crc.obj+
+$(objpath)\crypt.obj+
+$(objpath)\rijndael.obj+
+$(objpath)\rawread.obj+
+$(objpath)\encname.obj+
+$(objpath)\resource.obj+
+$(objpath)\match.obj+
+$(objpath)\find.obj+
+!ifndef SFX_MODULE
+$(objpath)\filestr.obj+
+$(objpath)\scantree.obj+
+!endif
+$(objpath)\timefn.obj+
+$(objpath)\getbits.obj+
+$(objpath)\rarvm.obj+
+$(objpath)\rdwrfn.obj+
+$(objpath)\consio.obj+
+$(objpath)\cmddata.obj+
+$(objpath)\options.obj+
+$(objpath)\ulinks.obj+
+$(objpath)\volume.obj+
+$(objpath)\extinfo.obj+
+$(objpath)\extract.obj+
+$(objpath)\rs.obj+
+$(objpath)\recvol.obj+
+!ifndef SILENT
+!ifndef GUI
+$(objpath)\list.obj+
+!endif
+!endif
+!ifdef RARDLL
+$(objpath)\dll.obj+
+!endif
+$(objpath)\errhnd.obj+
+$(objpath)\unpack.obj+
+$(objpath)\rar.obj
+$<,$*
+$(libpath)\cw32.lib+
+$(libpath)\import32.lib
+!ifdef RARDLL
+$(rarpath)\dll.def
+!else
+
+!endif
+|
+!endif
+
+$(objpath)\rar.obj :  $(rarpath)\rar.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\rar.cpp
+|
+
+$(objpath)\strlist.obj :  $(rarpath)\strlist.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\strlist.cpp
+|
+
+$(objpath)\strfn.obj :  $(rarpath)\strfn.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\strfn.cpp
+|
+
+$(objpath)\pathfn.obj :  $(rarpath)\pathfn.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\pathfn.cpp
+|
+
+$(objpath)\int64.obj :  $(rarpath)\int64.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\int64.cpp
+|
+
+$(objpath)\savepos.obj :  $(rarpath)\savepos.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\savepos.cpp
+|
+
+$(objpath)\global.obj :  $(rarpath)\global.cpp
+  $(cc) -q @&&|
+ $(compopt) -H- -o$@ $(rarpath)\global.cpp
+|
+
+$(objpath)\file.obj :  $(rarpath)\file.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\file.cpp
+|
+
+$(objpath)\filefn.obj :  $(rarpath)\filefn.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\filefn.cpp
+|
+
+$(objpath)\filestr.obj :  $(rarpath)\filestr.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\filestr.cpp
+|
+
+$(objpath)\filcreat.obj :  $(rarpath)\filcreat.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\filcreat.cpp
+|
+
+$(objpath)\sha1.obj :  $(rarpath)\sha1.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\sha1.cpp
+|
+
+$(objpath)\ec.obj :  $(rarpath)\ec.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\ec.cpp
+|
+
+$(objpath)\av.obj :  $(rarpath)\av.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\av.cpp
+|
+
+$(objpath)\archive.obj :  $(rarpath)\archive.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\archive.cpp
+|
+
+$(objpath)\arcread.obj :  $(rarpath)\arcread.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\arcread.cpp
+|
+
+$(objpath)\unicode.obj :  $(rarpath)\unicode.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\unicode.cpp
+|
+
+$(objpath)\system.obj :  $(rarpath)\system.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\system.cpp
+|
+
+$(objpath)\isnt.obj :  $(rarpath)\isnt.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\isnt.cpp
+|
+
+$(objpath)\crc.obj :  $(rarpath)\crc.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\crc.cpp
+|
+
+$(objpath)\crypt.obj :  $(rarpath)\crypt.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\crypt.cpp
+|
+
+$(objpath)\rijndael.obj :  $(rarpath)\rijndael.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\rijndael.cpp
+|
+
+$(objpath)\rawread.obj :  $(rarpath)\rawread.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\rawread.cpp
+|
+
+$(objpath)\rawwrite.obj :  $(rarpath)\rawwrite.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\rawwrite.cpp
+|
+
+$(objpath)\encname.obj :  $(rarpath)\encname.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\encname.cpp
+|
+
+$(objpath)\resource.obj :  $(rarpath)\resource.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\resource.cpp
+|
+
+$(objpath)\match.obj :  $(rarpath)\match.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\match.cpp
+|
+
+$(objpath)\find.obj :  $(rarpath)\find.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\find.cpp
+|
+
+$(objpath)\scantree.obj :  $(rarpath)\scantree.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\scantree.cpp
+|
+
+$(objpath)\timefn.obj :  $(rarpath)\timefn.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\timefn.cpp
+|
+
+$(objpath)\getbits.obj :  $(rarpath)\getbits.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\getbits.cpp
+|
+
+$(objpath)\rarvm.obj :  $(rarpath)\rarvm.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\rarvm.cpp
+|
+
+$(objpath)\putbits.obj :  $(rarpath)\putbits.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\putbits.cpp
+|
+
+$(objpath)\pack.obj :  $(rarpath)\pack.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\pack.cpp
+|
+
+$(objpath)\packbord.obj :  $(rarpath)\packbord.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\packbord.cpp
+|
+
+$(objpath)\packanlz.obj :  $(rarpath)\packanlz.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\packanlz.cpp
+|
+
+$(objpath)\cblock.obj :  $(rarpath)\cblock.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\cblock.cpp
+|
+
+$(objpath)\add.obj :  $(rarpath)\add.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\add.cpp
+|
+
+$(objpath)\addlist.obj :  $(rarpath)\addlist.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\addlist.cpp
+|
+
+$(objpath)\procarc.obj :  $(rarpath)\procarc.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\procarc.cpp
+|
+
+$(objpath)\sfx.obj :  $(rarpath)\sfx.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\sfx.cpp
+|
+
+$(objpath)\comment.obj :  $(rarpath)\comment.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\comment.cpp
+|
+
+$(objpath)\rs.obj :  $(rarpath)\rs.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\rs.cpp
+|
+
+$(objpath)\recvol.obj :  $(rarpath)\recvol.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\recvol.cpp
+|
+
+$(objpath)\repair.obj :  $(rarpath)\repair.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\repair.cpp
+|
+
+$(objpath)\rdwrfn.obj :  $(rarpath)\rdwrfn.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\rdwrfn.cpp
+|
+
+$(objpath)\consio.obj :  $(rarpath)\consio.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\consio.cpp
+|
+
+$(objpath)\cmddata.obj :  $(rarpath)\cmddata.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\cmddata.cpp
+|
+
+$(objpath)\options.obj :  $(rarpath)\options.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\options.cpp
+|
+
+$(objpath)\ulinks.obj :  $(rarpath)\ulinks.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\ulinks.cpp
+|
+
+$(objpath)\errhnd.obj :  $(rarpath)\errhnd.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\errhnd.cpp
+|
+
+$(objpath)\volume.obj :  $(rarpath)\volume.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\volume.cpp
+|
+
+$(objpath)\extinfo.obj :  $(rarpath)\extinfo.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\extinfo.cpp
+|
+
+
+$(objpath)\extract.obj :  $(rarpath)\extract.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\extract.cpp
+|
+
+$(objpath)\list.obj :  $(rarpath)\list.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\list.cpp
+|
+
+$(objpath)\rtl.obj :  $(rarpath)\rtl.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\rtl.cpp
+|
+
+$(objpath)\unpack.obj :  $(rarpath)\unpack.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\unpack.cpp
+|
+
+$(objpath)\dll.obj :  $(rarpath)\dll.cpp
+  $(cc) -q @&&|
+ $(compopt) -o$@ $(rarpath)\dll.cpp
+|
\ Kein Zeilenumbruch am Dateiende.
diff -uNr unrar/makefile.cygmin unrar/makefile.cygmin
--- unrar/makefile.cygmin	1970-01-01 01:00:00.000000000 +0100
+++ unrar/makefile.cygmin	2007-03-05 06:59:50.000000000 +0100
@@ -0,0 +1,54 @@
+#
+# Makefile for cygmin/mingw - unrar
+#
+# Note: you have to 'make clean' before you can build
+#	the sfx module
+#
+
+# POSIX using Cygmin GCC 3.3.1
+#CXX = g++
+#CXXFLAGS = -O2 -Wno-deprecated 
+#DEFINES = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DLITTLE_ENDIAN
+
+# Win32 using Cygmin GCC 3.3.1
+CXX = g++ -mno-cygwin
+CXXFLAGS = -O2 -Wno-deprecated 
+DEFINES = -D_MSC_VER -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE 
+
+# Win32 using Mingw32 GCC 3.3.2
+#CXX = g++
+#CXXFLAGS = -O2 -Wno-deprecated 
+#DEFINES = -D_MSC_VER -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE 
+
+##########################
+
+COMPILE=$(CXX) $(CXXFLAGS) $(DEFINES)
+LINK=$(CXX)
+
+UNRAR_OBJ=filestr.o recvol.o rs.o scantree.o
+
+OBJECTS=rar.o strlist.o strfn.o pathfn.o int64.o savepos.o global.o \
+       	file.o filefn.o filcreat.o archive.o arcread.o unicode.o \
+	system.o isnt.o crypt.o crc.o rawread.o encname.o \
+	resource.o match.o timefn.o rdwrfn.o consio.o options.o \
+	ulinks.o errhnd.o rarvm.o rijndael.o getbits.o sha1.o \
+	extinfo.o extract.o volume.o list.o find.o unpack.o cmddata.o
+
+.cpp.o:
+	$(COMPILE) -D$(WHAT) -c $<
+
+all:	unrar
+
+clean:
+	@rm -f *.o *.bak *~
+
+unrar:	WHAT=UNRAR
+unrar:	$(OBJECTS) $(UNRAR_OBJ)
+	@rm -f makeunrar
+	$(LINK) -Wl,-s -o unrar $(LDFLAGS) $(OBJECTS) $(UNRAR_OBJ) $(LIBS)	
+
+sfx:	WHAT=SFX_MODULE
+sfx:	$(OBJECTS)
+	@rm -f default.sfx
+	$(LINK) -Wl,-s -o default.sfx $(LDFLAGS) $(OBJECTS) -DSFX_MODULE 
+
diff -uNr unrar/makefile.dj unrar/makefile.dj
--- unrar/makefile.dj	1970-01-01 01:00:00.000000000 +0100
+++ unrar/makefile.dj	2007-09-10 12:27:02.000000000 +0200
@@ -0,0 +1,50 @@
+#
+# Makefile for DJGPP - unrar
+#
+# Note: you have to 'make clean' before you can build
+#	the sfx module
+#
+
+# DOS32 using DJGPP 2.03 Patchlevel 2 and GCC 2.95.3
+CXX = gpp
+CXXFLAGS = -O2 -Wno-deprecated
+#DEFINES = -D_MSC_VER -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
+
+##########################
+
+.PHONY: all clean veryclean
+
+COMPILE=$(CXX) $(CXXFLAGS) $(DEFINES)
+LINK=$(CXX)
+
+UNRAR_OBJ=filestr.o recvol.o rs.o scantree.o
+
+OBJECTS=rar.o strlist.o strfn.o pathfn.o int64.o savepos.o global.o \
+	file.o filefn.o filcreat.o archive.o arcread.o unicode.o \
+	system.o isnt.o crypt.o crc.o rawread.o encname.o \
+	resource.o match.o timefn.o rdwrfn.o consio.o options.o \
+	ulinks.o errhnd.o rarvm.o rijndael.o getbits.o sha1.o \
+	extinfo.o extract.o volume.o list.o find.o unpack.o cmddata.o
+
+.cpp.o:
+	$(COMPILE) -D$(WHAT) -c $<
+
+all:	unrar
+
+unrar:	WHAT=UNRAR
+unrar:	$(OBJECTS) $(UNRAR_OBJ)
+	$(LINK) -Wl,-s -o unrar.exe $(LDFLAGS) $(OBJECTS) $(UNRAR_OBJ) $(LIBS)
+	exe2coff unrar.exe
+	cp -u $(DJDIR)/bin/cwsdstub.exe .
+	copy /b cwsdstub.exe+unrar unrar.exe
+	-upx --ultra-brute unrar.exe
+
+sfx:	WHAT=SFX_MODULE
+sfx:	$(OBJECTS)
+	$(LINK) -Wl,-s -o default.sfx $(LDFLAGS) $(OBJECTS) -DSFX_MODULE
+
+clean:
+	$(RM) $(OBJECTS) $(UNRAR_OBJ)
+
+veryclean: clean
+	$(RM) unrar.exe default.sfx cwsdstub.exe unrar
diff -uNr unrar/makefile.dmc unrar/makefile.dmc
--- unrar/makefile.dmc	1970-01-01 01:00:00.000000000 +0100
+++ unrar/makefile.dmc	2005-01-22 16:22:54.000000000 +0100
@@ -0,0 +1,54 @@
+# Makefile for Digital Mars C++ Compiler
+# http://www.rarlab.com
+# http://www.digitalmars.com
+#
+# DEFINES: UNRAR RARDLL GUI SFX_MODULE SILENT
+
+NAME = unrar
+EXT = exe
+
+CPP = dmc
+
+LINK = link
+
+# --------------
+# Release Build
+# --------------
+DEFINES = -DNDEBUG -D_MSC_VER -DUNRAR
+CPPFLAGS = -o+all -ff -Nc -g- -Ae
+LNKFLAGS = /EXETYPE:NT /MACHINE:i386 /SUBSYSTEM:CONSOLE /NOLOGO /NODEBUG /NOCODEVIEW /PACKFUNCTIONS
+
+# --------------
+# Debug Build
+# --------------
+#DEFINES = -D_DEBUG -D_MSC_VER -DUNRAR
+#CPPFLAGS = -o+none -Nc -S -gf -Ae
+#LNKFLAGS = /EXETYPE:NT /MACHINE:i386 /SUBSYSTEM:CONSOLE /NOLOGO /DEBUG
+
+OBJ = rar.obj strlist.obj strfn.obj pathfn.obj int64.obj savepos.obj global.obj \
+       	file.obj filefn.obj filcreat.obj archive.obj arcread.obj unicode.obj \
+	system.obj isnt.obj crypt.obj crc.obj rawread.obj encname.obj \
+	resource.obj match.obj timefn.obj rdwrfn.obj consio.obj options.obj \
+	ulinks.obj errhnd.obj rarvm.obj rijndael.obj getbits.obj sha1.obj \
+	extinfo.obj extract.obj volume.obj find.obj unpack.obj cmddata.obj \
+	filestr.obj recvol.obj rs.obj scantree.obj \
+	list.obj \
+#	dll.obj \
+
+LIB = kernel32.lib+user32.lib+advapi32.lib
+
+#DEF = dll.def
+
+link: $(OBJ)
+	$(LINK) $(LNKFLAGS) $(OBJ), $(NAME).$(EXT), $(NAME).map, $(LIB), $(DEF)
+
+.c.obj:
+	$(CPP) $(CPPFLAGS) $(DEFINES) -c $< -o $@
+
+.cpp.obj:
+	$(CPP) $(CPPFLAGS) $(DEFINES) -c $< -o $@
+
+clean:
+	del $(OBJ)
+	del $(NAME).$(EXT)
+	del $(NAME).map
diff -uNr unrar/makefile.msc unrar/makefile.msc
--- unrar/makefile.msc	1970-01-01 01:00:00.000000000 +0100
+++ unrar/makefile.msc	2002-03-15 20:34:16.000000000 +0100
@@ -0,0 +1,564 @@
+# Microsoft Developer Studio Generated NMAKE File, Based on unrar.dsp
+!IF "$(CFG)" == ""
+CFG=unrar - Win32 Release
+!MESSAGE No configuration specified. Defaulting to unrar - Win32 Release.
+!ENDIF 
+
+!IF "$(CFG)" != "unrar - Win32 Release" && "$(CFG)" != "unrar - Win32 Debug"
+!MESSAGE Invalid configuration "$(CFG)" specified.
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "unrar.mak" CFG="unrar - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "unrar - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "unrar - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+!ERROR An invalid configuration is specified.
+!ENDIF 
+
+!IF "$(OS)" == "Windows_NT"
+NULL=
+!ELSE 
+NULL=nul
+!ENDIF 
+
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "unrar - Win32 Release"
+
+OUTDIR=.\Release
+INTDIR=.\Release
+# Begin Custom Macros
+OutDir=.\Release
+# End Custom Macros
+
+ALL : "$(OUTDIR)\unrar.exe"
+
+
+CLEAN :
+	-@erase "$(INTDIR)\archive.obj"
+	-@erase "$(INTDIR)\arcread.obj"
+	-@erase "$(INTDIR)\cmddata.obj"
+	-@erase "$(INTDIR)\consio.obj"
+	-@erase "$(INTDIR)\crc.obj"
+	-@erase "$(INTDIR)\crypt.obj"
+	-@erase "$(INTDIR)\encname.obj"
+	-@erase "$(INTDIR)\errhnd.obj"
+	-@erase "$(INTDIR)\extinfo.obj"
+	-@erase "$(INTDIR)\extract.obj"
+	-@erase "$(INTDIR)\filcreat.obj"
+	-@erase "$(INTDIR)\file.obj"
+	-@erase "$(INTDIR)\filefn.obj"
+	-@erase "$(INTDIR)\filestr.obj"
+	-@erase "$(INTDIR)\find.obj"
+	-@erase "$(INTDIR)\getbits.obj"
+	-@erase "$(INTDIR)\global.obj"
+	-@erase "$(INTDIR)\int64.obj"
+	-@erase "$(INTDIR)\isnt.obj"
+	-@erase "$(INTDIR)\list.obj"
+	-@erase "$(INTDIR)\match.obj"
+	-@erase "$(INTDIR)\options.obj"
+	-@erase "$(INTDIR)\pathfn.obj"
+	-@erase "$(INTDIR)\rar.obj"
+	-@erase "$(INTDIR)\rarvm.obj"
+	-@erase "$(INTDIR)\rawread.obj"
+	-@erase "$(INTDIR)\rdwrfn.obj"
+	-@erase "$(INTDIR)\recvol.obj"
+	-@erase "$(INTDIR)\resource.obj"
+	-@erase "$(INTDIR)\rijndael.obj"
+	-@erase "$(INTDIR)\rs.obj"
+	-@erase "$(INTDIR)\savepos.obj"
+	-@erase "$(INTDIR)\scantree.obj"
+	-@erase "$(INTDIR)\sha1.obj"
+	-@erase "$(INTDIR)\strfn.obj"
+	-@erase "$(INTDIR)\strlist.obj"
+	-@erase "$(INTDIR)\system.obj"
+	-@erase "$(INTDIR)\timefn.obj"
+	-@erase "$(INTDIR)\ulinks.obj"
+	-@erase "$(INTDIR)\unicode.obj"
+	-@erase "$(INTDIR)\unpack.obj"
+	-@erase "$(INTDIR)\vc60.idb"
+	-@erase "$(INTDIR)\volume.obj"
+	-@erase "$(OUTDIR)\unrar.exe"
+	-@erase "$(OUTDIR)\unrar.map"
+
+"$(OUTDIR)" :
+    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+CPP_PROJ=/nologo /ML /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /D "UNRAR" /Fp"$(INTDIR)\unrar.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+BSC32=bscmake.exe
+BSC32_FLAGS=/nologo /o"$(OUTDIR)\unrar.bsc" 
+BSC32_SBRS= \
+	
+LINK32=link.exe
+LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\unrar.pdb" /map:"$(INTDIR)\unrar.map" /machine:I386 /out:"$(OUTDIR)\unrar.exe" 
+LINK32_OBJS= \
+	"$(INTDIR)\rar.obj" \
+	"$(INTDIR)\strlist.obj" \
+	"$(INTDIR)\strfn.obj" \
+	"$(INTDIR)\pathfn.obj" \
+	"$(INTDIR)\int64.obj" \
+	"$(INTDIR)\savepos.obj" \
+	"$(INTDIR)\global.obj" \
+	"$(INTDIR)\file.obj" \
+	"$(INTDIR)\filefn.obj" \
+	"$(INTDIR)\filcreat.obj" \
+	"$(INTDIR)\archive.obj" \
+	"$(INTDIR)\arcread.obj" \
+	"$(INTDIR)\unicode.obj" \
+	"$(INTDIR)\system.obj" \
+	"$(INTDIR)\isnt.obj" \
+	"$(INTDIR)\crypt.obj" \
+	"$(INTDIR)\crc.obj" \
+	"$(INTDIR)\rawread.obj" \
+	"$(INTDIR)\encname.obj" \
+	"$(INTDIR)\resource.obj" \
+	"$(INTDIR)\match.obj" \
+	"$(INTDIR)\timefn.obj" \
+	"$(INTDIR)\rdwrfn.obj" \
+	"$(INTDIR)\consio.obj" \
+	"$(INTDIR)\options.obj" \
+	"$(INTDIR)\ulinks.obj" \
+	"$(INTDIR)\errhnd.obj" \
+	"$(INTDIR)\rarvm.obj" \
+	"$(INTDIR)\rijndael.obj" \
+	"$(INTDIR)\getbits.obj" \
+	"$(INTDIR)\sha1.obj" \
+	"$(INTDIR)\extinfo.obj" \
+	"$(INTDIR)\extract.obj" \
+	"$(INTDIR)\volume.obj" \
+	"$(INTDIR)\list.obj" \
+	"$(INTDIR)\find.obj" \
+	"$(INTDIR)\unpack.obj" \
+	"$(INTDIR)\cmddata.obj" \
+	"$(INTDIR)\filestr.obj" \
+	"$(INTDIR)\recvol.obj" \
+	"$(INTDIR)\rs.obj" \
+	"$(INTDIR)\scantree.obj"
+
+"$(OUTDIR)\unrar.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+    $(LINK32) @<<
+  $(LINK32_FLAGS) $(LINK32_OBJS)
+<<
+
+!ELSEIF  "$(CFG)" == "unrar - Win32 Debug"
+
+OUTDIR=.\Debug
+INTDIR=.\Debug
+# Begin Custom Macros
+OutDir=.\Debug
+# End Custom Macros
+
+ALL : "$(OUTDIR)\unrar.exe"
+
+
+CLEAN :
+	-@erase "$(INTDIR)\archive.obj"
+	-@erase "$(INTDIR)\arcread.obj"
+	-@erase "$(INTDIR)\cmddata.obj"
+	-@erase "$(INTDIR)\consio.obj"
+	-@erase "$(INTDIR)\crc.obj"
+	-@erase "$(INTDIR)\crypt.obj"
+	-@erase "$(INTDIR)\encname.obj"
+	-@erase "$(INTDIR)\errhnd.obj"
+	-@erase "$(INTDIR)\extinfo.obj"
+	-@erase "$(INTDIR)\extract.obj"
+	-@erase "$(INTDIR)\filcreat.obj"
+	-@erase "$(INTDIR)\file.obj"
+	-@erase "$(INTDIR)\filefn.obj"
+	-@erase "$(INTDIR)\filestr.obj"
+	-@erase "$(INTDIR)\find.obj"
+	-@erase "$(INTDIR)\getbits.obj"
+	-@erase "$(INTDIR)\global.obj"
+	-@erase "$(INTDIR)\int64.obj"
+	-@erase "$(INTDIR)\isnt.obj"
+	-@erase "$(INTDIR)\list.obj"
+	-@erase "$(INTDIR)\match.obj"
+	-@erase "$(INTDIR)\options.obj"
+	-@erase "$(INTDIR)\pathfn.obj"
+	-@erase "$(INTDIR)\rar.obj"
+	-@erase "$(INTDIR)\rarvm.obj"
+	-@erase "$(INTDIR)\rawread.obj"
+	-@erase "$(INTDIR)\rdwrfn.obj"
+	-@erase "$(INTDIR)\recvol.obj"
+	-@erase "$(INTDIR)\resource.obj"
+	-@erase "$(INTDIR)\rijndael.obj"
+	-@erase "$(INTDIR)\rs.obj"
+	-@erase "$(INTDIR)\savepos.obj"
+	-@erase "$(INTDIR)\scantree.obj"
+	-@erase "$(INTDIR)\sha1.obj"
+	-@erase "$(INTDIR)\strfn.obj"
+	-@erase "$(INTDIR)\strlist.obj"
+	-@erase "$(INTDIR)\system.obj"
+	-@erase "$(INTDIR)\timefn.obj"
+	-@erase "$(INTDIR)\ulinks.obj"
+	-@erase "$(INTDIR)\unicode.obj"
+	-@erase "$(INTDIR)\unpack.obj"
+	-@erase "$(INTDIR)\vc60.idb"
+	-@erase "$(INTDIR)\vc60.pdb"
+	-@erase "$(INTDIR)\volume.obj"
+	-@erase "$(OUTDIR)\unrar.exe"
+	-@erase "$(OUTDIR)\unrar.ilk"
+	-@erase "$(OUTDIR)\unrar.pdb"
+
+"$(OUTDIR)" :
+    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+CPP_PROJ=/nologo /MLd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /D "UNRAR" /Fp"$(INTDIR)\unrar.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ  /c 
+BSC32=bscmake.exe
+BSC32_FLAGS=/nologo /o"$(OUTDIR)\unrar.bsc" 
+BSC32_SBRS= \
+	
+LINK32=link.exe
+LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\unrar.pdb" /debug /machine:I386 /out:"$(OUTDIR)\unrar.exe" /pdbtype:sept 
+LINK32_OBJS= \
+	"$(INTDIR)\rar.obj" \
+	"$(INTDIR)\strlist.obj" \
+	"$(INTDIR)\strfn.obj" \
+	"$(INTDIR)\pathfn.obj" \
+	"$(INTDIR)\int64.obj" \
+	"$(INTDIR)\savepos.obj" \
+	"$(INTDIR)\global.obj" \
+	"$(INTDIR)\file.obj" \
+	"$(INTDIR)\filefn.obj" \
+	"$(INTDIR)\filcreat.obj" \
+	"$(INTDIR)\archive.obj" \
+	"$(INTDIR)\arcread.obj" \
+	"$(INTDIR)\unicode.obj" \
+	"$(INTDIR)\system.obj" \
+	"$(INTDIR)\isnt.obj" \
+	"$(INTDIR)\crypt.obj" \
+	"$(INTDIR)\crc.obj" \
+	"$(INTDIR)\rawread.obj" \
+	"$(INTDIR)\encname.obj" \
+	"$(INTDIR)\resource.obj" \
+	"$(INTDIR)\match.obj" \
+	"$(INTDIR)\timefn.obj" \
+	"$(INTDIR)\rdwrfn.obj" \
+	"$(INTDIR)\consio.obj" \
+	"$(INTDIR)\options.obj" \
+	"$(INTDIR)\ulinks.obj" \
+	"$(INTDIR)\errhnd.obj" \
+	"$(INTDIR)\rarvm.obj" \
+	"$(INTDIR)\rijndael.obj" \
+	"$(INTDIR)\getbits.obj" \
+	"$(INTDIR)\sha1.obj" \
+	"$(INTDIR)\extinfo.obj" \
+	"$(INTDIR)\extract.obj" \
+	"$(INTDIR)\volume.obj" \
+	"$(INTDIR)\list.obj" \
+	"$(INTDIR)\find.obj" \
+	"$(INTDIR)\unpack.obj" \
+	"$(INTDIR)\cmddata.obj" \
+	"$(INTDIR)\filestr.obj" \
+	"$(INTDIR)\recvol.obj" \
+	"$(INTDIR)\rs.obj" \
+	"$(INTDIR)\scantree.obj"
+
+"$(OUTDIR)\unrar.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+    $(LINK32) @<<
+  $(LINK32_FLAGS) $(LINK32_OBJS)
+<<
+
+!ENDIF 
+
+.c{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cpp{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cxx{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.c{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cpp{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cxx{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+
+!IF "$(NO_EXTERNAL_DEPS)" != "1"
+!IF EXISTS("msc.dep")
+!INCLUDE "msc.dep"
+!ELSE 
+!MESSAGE Warning: cannot find "msc.dep"
+!ENDIF 
+!ENDIF 
+
+
+!IF "$(CFG)" == "unrar - Win32 Release" || "$(CFG)" == "unrar - Win32 Debug"
+SOURCE=.\archive.cpp
+
+"$(INTDIR)\archive.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\arcread.cpp
+
+"$(INTDIR)\arcread.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\cmddata.cpp
+
+"$(INTDIR)\cmddata.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\consio.cpp
+
+"$(INTDIR)\consio.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\crc.cpp
+
+"$(INTDIR)\crc.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\crypt.cpp
+
+"$(INTDIR)\crypt.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\encname.cpp
+
+"$(INTDIR)\encname.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\errhnd.cpp
+
+"$(INTDIR)\errhnd.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\extinfo.cpp
+
+"$(INTDIR)\extinfo.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\extract.cpp
+
+"$(INTDIR)\extract.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\filcreat.cpp
+
+"$(INTDIR)\filcreat.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\file.cpp
+
+"$(INTDIR)\file.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\filefn.cpp
+
+"$(INTDIR)\filefn.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\filestr.cpp
+
+"$(INTDIR)\filestr.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\find.cpp
+
+"$(INTDIR)\find.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\getbits.cpp
+
+"$(INTDIR)\getbits.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\global.cpp
+
+"$(INTDIR)\global.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\int64.cpp
+
+"$(INTDIR)\int64.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\isnt.cpp
+
+"$(INTDIR)\isnt.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\list.cpp
+
+"$(INTDIR)\list.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\match.cpp
+
+"$(INTDIR)\match.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\options.cpp
+
+"$(INTDIR)\options.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\pathfn.cpp
+
+"$(INTDIR)\pathfn.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\rar.cpp
+
+"$(INTDIR)\rar.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\rarvm.cpp
+
+"$(INTDIR)\rarvm.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\rawread.cpp
+
+"$(INTDIR)\rawread.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\rdwrfn.cpp
+
+"$(INTDIR)\rdwrfn.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\recvol.cpp
+
+"$(INTDIR)\recvol.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\resource.cpp
+
+"$(INTDIR)\resource.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\rijndael.cpp
+
+"$(INTDIR)\rijndael.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\rs.cpp
+
+"$(INTDIR)\rs.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\savepos.cpp
+
+"$(INTDIR)\savepos.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\scantree.cpp
+
+"$(INTDIR)\scantree.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\sha1.cpp
+
+"$(INTDIR)\sha1.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\strfn.cpp
+
+"$(INTDIR)\strfn.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\strlist.cpp
+
+"$(INTDIR)\strlist.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\system.cpp
+
+"$(INTDIR)\system.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\timefn.cpp
+
+"$(INTDIR)\timefn.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\ulinks.cpp
+
+"$(INTDIR)\ulinks.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\unicode.cpp
+
+"$(INTDIR)\unicode.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\unpack.cpp
+
+"$(INTDIR)\unpack.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=.\volume.cpp
+
+"$(INTDIR)\volume.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+
+!ENDIF 
+
